import request from '@/utils/request'

// 查询外协到货单列表
export function searchTable1(...params) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理_外协到货单_查询数据',
      param: `外协到货单号_check=${params[0]}&外协到货单号=${params[1]}&外协厂家_check=${params[2]}&外协厂家=${params[3]}`
    }
  })
}
// 查询外协到货单明细
export function searchTable2(...params) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理_外协到货单明细_查询数据',
      param: `外协到货单流水号=${params[0]}`
    }
  })
}
// 查询外协到货单明细
export function searchTableDetail(...params) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '质检管理_外协质检数据_查询数据',
      param: `检测类型=${params[0]}&外协到货单明细流水号=${params[1]}`
    }
  })
}
